package net.brutex.xservices.util;

import lombok.NonNull;
import net.brutex.xservices.types.alfevent.ALFEventType;

/**
 * Provides filtering and modification of ALF Events
 */
public interface ALFEventFilter {

    /**
     * Modify or filter the alf event.
     *
     * @param event
     * @return modified event or null if it should be filtered out
     */
    ALFEventType filter(@NonNull ALFEventType event);
}
