select
    (select count(*)  from MEM_INBOUND) as INBOUND_Queue,
    (select count(*)  from  MEM_OUTBOUND) as OUTBOUND_Queue ,

    (select count(*)  from mem_all_events) as IN_MEMORY_LOG,
    (select count(*) from brutex.tbl_events_all)  as FILE_LOG,
    (select count(*) from brutex.tbl_events_errors)  as ERROR_COUNT,

    ((select count(*) from brutex.tbl_events_all where btx_supersed_id is not null) +  (select count(*) from mem_all_events where btx_supersed_id is not null)) as MERGED_EVENTS
FROM DUAL;